Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.xmla
Class XMLA_MdxQuery

    java.lang.Object
      com.tonbeller.jpivot.core.ExtensionSupport
          com.tonbeller.jpivot.xmla.XMLA_MdxQuery

All Implemented Interfaces:
  Extension, MdxQuery

    public class XMLA_MdxQuery

extends ExtensionSupport
implements MdxQuery

set user defined MDX Query String

Field Summary

Fields inherited from interface com.tonbeller.jpivot.olap.navi.MdxQuery
`ID`

Constructor Summary
`XMLA_MdxQuery()`

Method Summary
`java.lang.String` | `getMdxQuery()` returns the current (valid) mdx query
`void` | `setMdxQuery(java.lang.String mdxQuery)` sets the mdx from user input

Methods inherited from class com.tonbeller.jpivot.core.ExtensionSupport
`decorate, getId, getModel, modelInitialized, setId, setModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.jpivot.core.Extension
`decorate, getId, modelInitialized, setModel`

Constructor Detail

### XMLA_MdxQuery

    public XMLA_MdxQuery()

Method Detail

### getMdxQuery

    public java.lang.String getMdxQuery()

  Description copied from interface: `MdxQuery`
  returns the current (valid) mdx query

  Specified by:
    `getMdxQuery` in interface `MdxQuery`
  Returns:
    String
  See Also:
    `MdxQuery.getMdxQuery()`

### setMdxQuery

    public void setMdxQuery(java.lang.String mdxQuery)

  Description copied from interface: `MdxQuery`
  sets the mdx from user input

  Specified by:
    `setMdxQuery` in interface `MdxQuery`
  Parameters:
    `mdxQuery` - the query to set
  See Also:
    `MdxQuery.setMdxQuery(String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD